SessionFactoryObserverChain (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal
Class SessionFactoryObserverChain

    java.lang.Object
      org.hibernate.internal.SessionFactoryObserverChain

All Implemented Interfaces:
  Serializable, SessionFactoryObserver

    public class SessionFactoryObserverChain

extends Object
implements SessionFactoryObserver

See Also:
  Serialized Form

Constructor Summary
`SessionFactoryObserverChain()`

Method Summary
`void` | `addObserver(SessionFactoryObserver observer)`
`void` | `sessionFactoryClosed(SessionFactory factory)` Callback to indicate that the given factory has been closed.
`void` | `sessionFactoryCreated(SessionFactory factory)` Callback to indicate that the given factory has been created and is now ready for use.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionFactoryObserverChain

    public SessionFactoryObserverChain()

Method Detail

### addObserver

    public void addObserver(SessionFactoryObserver observer)

### sessionFactoryCreated

    public void sessionFactoryCreated(SessionFactory factory)

  Description copied from interface: `SessionFactoryObserver`
  Callback to indicate that the given factory has been created and is now ready for use.

  Specified by:
    `sessionFactoryCreated` in interface `SessionFactoryObserver`
  Parameters:
    `factory` - The factory initialized.

### sessionFactoryClosed

    public void sessionFactoryClosed(SessionFactory factory)

  Description copied from interface: `SessionFactoryObserver`
  Callback to indicate that the given factory has been closed. Care should be taken in how (if at all) the passed factory reference is used since it is closed.

  Specified by:
    `sessionFactoryClosed` in interface `SessionFactoryObserver`
  Parameters:
    `factory` - The factory closed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.